# Project Template

## Generate other auxiliary files by Makefile
```
# Download and update dependencies
make init
# Generate all files
make all
```
## Automated Initialization (wire)
```
# install wire
go get github.com/google/wire/cmd/wire

# generate wire
cd cmd/server
wire
```

## Local run
```
# Generate all files, build and run
make run
```

## Local Run with Docker
```bash
# build
docker build -t <your-docker-image-name> .

# run
docker run --rm -p 8000:8000 -v </path/to/your/configs>:/data/conf <your-docker-image-name>
```

